/* BASE */

html {
    scroll-behavior: smooth;
    overflow-y: scroll;
}

body {
    margin: 0;
    font-family: Tahoma, sans-serif;
    letter-spacing: 1px;
    background: #f4f4f4;
    color: #000;
}

.section-divwhite {
    width: 600px;
    height: 1px;
    background: linear-gradient(
        to right,
        transparent,
        #ffffff,
        transparent
    );
    margin: 14px auto 22px;
}

.section-divblack {
    width: 500px;
    height: 1px;
    background: linear-gradient(
        to right,
        transparent,
        #000000,
        transparent
    );
    margin: 14px auto 22px;
}


/* NAVIGATION */

.navbar {
    position: fixed;
    top: 25px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 15px 25px;
    max-width: 90%;
    border-radius: 100px;
    background: rgba(46, 46, 46, 0.315);
    backdrop-filter: blur(10px);
    z-index: 1000;
    transition: background 0.4s ease;
}

.logo img {
    height: 30px;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 5px;
    margin: 0;
    padding: 0;
}

.nav-links a {
    padding: 10px 20px;
    font-size: 12px;
    text-decoration: none;
    color: #fff;
    border-radius: 100px;
    transition: 0.3s ease, transform 0.3s ease;
}

.nav-links a:not(.active):hover {
    transform: translateY(-2px);
}

.nav-links a.active {
    background: rgba(255, 255, 255, 0.2);
    color: #fff;
    transform: translateY(-4px);
}


/* FOOTER */

.footer {
    background: #000;
    color: #fff;
    padding: 50px 5% 30px;
    text-align: center;
}

.footer-content {
    max-width: 500px;
    margin: 0 auto;
}

.footer-contact p {
    margin: 10px 0;
    font-size: 15px;
}

.footer-contact i {
    margin-right: 10px;
    color: #ffe401;
}

.footer-socials {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    gap: 20px;
}

.footer-socials a {
    width: 50px;
    height: 50px;
    border: 1px solid #ffe401;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    color: #fff;
    text-decoration: none;
    transition: 0.4s ease;
}

.footer-socials a:hover {
    background: #ffe401;
    color: #000;
    transform: translateY(-6px);
}

.footer-bottom {
    margin-top: 15px;
    padding-top: 20px;
    font-size: 12px;
    letter-spacing: 1px;
    opacity: 0.6;
}

.footer-bottom::before {
    content: "";
    display: block;
    width: 500px;
    height: 1px;
    margin: 0 auto 25px;
    background: rgba(255, 255, 255, 0.3);
}